#include <bits/stdc++.h>

using namespace std;

vector<int> druz;

int main()
{
    int n;
    int m;

    cin >> n;
    cin >> m;

    druz.push_back(0);

    for(int i = 0; i < n; i++)
    {
        int a;
        cin >> a;
        druz.push_back(a);
    }

    int p1;
    int p2;

    int suma = 0;

    for(int i = 0; i < m; i++)
    {
        cin >> p1;
        cin >> p2;

        suma += abs(druz[p1] + druz[p2]);
    }

    cout << suma << '\n';

    return 0;
}